﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Dicide.ViewModels
{
    public class ClockViewModel : ComponentViewModel
    {
        public ClockViewModel()
        {
            HasLeftConnector = true;
            HasTopConnector = true;
            HasRightConnector = true;
            HasBottomConnector = true;
        }

        public override void UpdateOutputs()
        {
            LeftOutput = HasLeftConnector && On;
            TopOutput = HasTopConnector && On;
            RightOutput = HasRightConnector && On;
            BottomOutput = HasBottomConnector && On;
        }
    }
}
