﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Dicide.ViewModels
{
    public class Input : BindableBase
    {
        BindableBase _sourceViewModel;
        String _sourcePropertyName;

        public Input(BindableBase sourceViewModel, String sourcePropertyName)
        {
            _sourceViewModel = sourceViewModel;
            _sourcePropertyName = sourcePropertyName;
            sourceViewModel.PropertyChanged += SourceViewModelPropertyChanged;
        }

        void SourceViewModelPropertyChanged(object sender, System.ComponentModel.PropertyChangedEventArgs e)
        {
            if (e.PropertyName.CompareTo(_sourcePropertyName) == 0)
            {
            }
        }

        Boolean _on;
        public Boolean On
        {
            get { return _on; }
            set { SetProperty<Boolean>(ref _on, value); }
        }
    }
}
