﻿using System;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

namespace Dicide.Views
{
    public sealed partial class About : UserControl
    {
        public About()
        {
            this.InitializeComponent();
        }

        private async void OnMailTo(object sender, RoutedEventArgs args)
        {
            var hyperlinkButton = sender as HyperlinkButton;
            if (hyperlinkButton != null)
            {
                var uri = new Uri("mailto:" + hyperlinkButton.Content);
                await Windows.System.Launcher.LaunchUriAsync(uri);
            }
        }
    }
}
